Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.type
Class DerivedUnsignedByte

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.type.SOMType
              com.bea.schema.type.SOMElementalType
                  com.bea.schema.type.PrimitiveDecimal
                      com.bea.schema.type.DerivedInteger
                          com.bea.schema.type.DerivedNonNegativeInteger
                              com.bea.schema.type.DerivedUnsignedLong
                                  com.bea.schema.type.DerivedUnsignedInt
                                      com.bea.schema.type.DerivedUnsignedShort
                                          com.bea.schema.type.DerivedUnsignedByte

All Implemented Interfaces:
  Serializable

public class DerivedUnsignedByte
extends DerivedUnsignedShort

unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255. The base type of unsignedByte is unsignedShort.

unsignedByte has the following constraining facets:

- totalDigits
- fractionDigits
- pattern
- whiteSpace
- enumeration
- maxInclusive
- maxExclusive
- minInclusive
- minExclusive

Version:
  1.0
Author:
  sharpe
See Also:
  W3C XML Schema unsignedByte, Serialized Form

Field Summary

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`DerivedUnsignedByte()`

Method Summary
`String` | `getID()` <xsd:anyType>
`Map` | `getTypeRestrictions()`

Methods inherited from class com.bea.schema.type.DerivedInteger
`getAllowedFacets`

Methods inherited from class com.bea.schema.type.PrimitiveDecimal
`createDefault, isValid`

Methods inherited from class com.bea.schema.type.SOMElementalType
`isSchemaChild`

Methods inherited from class com.bea.schema.type.SOMType
`getType, isElementalType, isUserDefinedType, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DerivedUnsignedByte

    public DerivedUnsignedByte()

Method Detail

### getID

    public String getID()

  Description copied from class: `SOMType`
  <xsd:anyType>

  Overrides:
    `getID` in class `DerivedUnsignedShort`

### getTypeRestrictions

    public Map getTypeRestrictions()

  Overrides:
    `getTypeRestrictions` in class `DerivedUnsignedShort`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD